Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.fst
Class Builder.FreezeTail<T>

    java.lang.Object
      org.apache.lucene.util.fst.Builder.FreezeTail<T>

Enclosing class:
  Builder<T>

    public abstract static class Builder.FreezeTail<T>

extends Object

Expert: this is invoked by Builder whenever a suffix is serialized.

Constructor Summary
`Builder.FreezeTail()`

Method Summary
`abstract void` | `freeze(Builder.UnCompiledNode<T>[] frontier, int prefixLenPlus1, IntsRef prevInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Builder.FreezeTail

    public Builder.FreezeTail()

Method Detail

### freeze

    public abstract void freeze(Builder.UnCompiledNode<T>[] frontier,
                                int prefixLenPlus1,
                                IntsRef prevInput)
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD